Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.forms.html
Class dateEditor

    java.lang.Object
      org.makumba.commons.formatters.FieldFormatter
          org.makumba.forms.html.FieldEditor
              org.makumba.forms.html.dateEditor

    public class dateEditor

extends FieldEditor

Field Summary
`(package private) static String[]` | `_params`
`(package private) static String[][]` | `_paramValues`
`(package private) static String[]` | `componentNames`
`static int[]` | `components`
`(package private) static int[]` | `hiLimits`
`(package private) static int[]` | `lowLimits`
`(package private) static String` | `recognized`

Fields inherited from class org.makumba.forms.html.FieldEditor
`ERROR_NO_BOOLEAN, ERROR_NO_INT, ERROR_NO_REAL, extraFormattingParam, formName, params, paramValues, suffixName`

Method Summary
`(package private) int` | `findNextFormatter(RecordFormatter rf, int fieldIndex, StringBuffer sb, String format, int n, boolean hidden)`
`String` | `format(RecordFormatter rf, int fieldIndex, Object o, Dictionary<String,Object> formatParams)` Format the object to pure text.
`(package private) void` | `formatComponent(RecordFormatter rf, int fieldIndex, StringBuffer sb, Date d, String fmt, int component, boolean hidden, Dictionary<String,Object> formatParams)`
`(package private) int` | `formatFrom(RecordFormatter rf, int fieldIndex, StringBuffer sb, Date d, String format, int n, boolean hidden, Dictionary<String,Object> formatParams)`
`String[]` | `getAcceptedParams()`
`String[][]` | `getAcceptedValue()`
`(package private) String` | `getComponentName(RecordFormatter rf, int fieldIndex, int i, Dictionary<String,Object> formatParams)`
`(package private) String` | `getComponentName(RecordFormatter rf, int fieldIndex, int i, String suffix)`
`static FieldFormatter` | `getInstance()`
`(package private) String` | `getNullName(RecordFormatter rf, int fieldIndex, Dictionary<String,Object> formatParams)`
`(package private) String` | `getNullName(RecordFormatter rf, int fieldIndex, String suffix)`
`Object` | `readFrom(RecordFormatter rf, int fieldIndex, HttpParameters pr, String suffix)`
`static Object` | `readFrom(String name, HttpParameters pr)` This method is used to get the date field in case of a form reload due to validation errors, and is used from `BasicValueTag#doMakumbaEndTag(org.makumba.commons.formatters.jsptaglib.PageCache)`.

Methods inherited from class org.makumba.forms.html.FieldEditor
`checkParam, formatHidden, formatHiddenValue, formatShow, formatValue, getExtraFormatting, getInputName, getInputName, getSuffix, onStartup, setExtraFormatting, setFormName, setSuffix, toBoolean, toInt, toReal`

Methods inherited from class org.makumba.commons.formatters.FieldFormatter
`checkParams, equals, formatNotNull, formatNull, getDefaultValueFormat, getEmptyValueFormat, getExpr, getIntParam, getIntParamString, initExpr, resetValueFormat`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _params

    static String[] _params

### _paramValues

    static String[][] _paramValues

### recognized

    static final String recognized

See Also:
  Constant Field Values

### lowLimits

    static final int[] lowLimits

### hiLimits

    static final int[] hiLimits

### components

    public static final int[] components

### componentNames

    static final String[] componentNames

Method Detail

### getInstance

    public static FieldFormatter getInstance()

### getAcceptedParams

    public String[] getAcceptedParams()

  Overrides:
    `getAcceptedParams` in class `FieldEditor`

### getAcceptedValue

    public String[][] getAcceptedValue()

  Overrides:
    `getAcceptedValue` in class `FieldEditor`

### getNullName

    String getNullName(RecordFormatter rf,
                       int fieldIndex,
                       Dictionary<String,Object> formatParams)

### getNullName

    String getNullName(RecordFormatter rf,
                       int fieldIndex,
                       String suffix)

### getComponentName

    String getComponentName(RecordFormatter rf,
                            int fieldIndex,
                            int i,
                            String suffix)

### getComponentName

    String getComponentName(RecordFormatter rf,
                            int fieldIndex,
                            int i,
                            Dictionary<String,Object> formatParams)

### format

    public String format(RecordFormatter rf,
                         int fieldIndex,
                         Object o,
                         Dictionary<String,Object> formatParams)

  Description copied from class: `FieldFormatter`
  Format the object to pure text. If text-format is blank, try the "empty" replacer value.

  Overrides:
    `format` in class `FieldEditor`
  Parameters:
    `rf` - TODO
    `fieldIndex` - TODO

### formatComponent

    void formatComponent(RecordFormatter rf,
                         int fieldIndex,
                         StringBuffer sb,
                         Date d,
                         String fmt,
                         int component,
                         boolean hidden,
                         Dictionary<String,Object> formatParams)

### readFrom

    public Object readFrom(RecordFormatter rf,
                           int fieldIndex,
                           HttpParameters pr,
                           String suffix)

  Overrides:
    `readFrom` in class `FieldEditor`

### readFrom

    public static Object readFrom(String name,
                                  HttpParameters pr)

  This method is used to get the date field in case of a form reload due to validation errors, and is used from `BasicValueTag#doMakumbaEndTag(org.makumba.commons.formatters.jsptaglib.PageCache)`. It is basically a simplified version of `readFrom(RecordFormatter, int, HttpParameters, String)`.

### formatFrom

    int formatFrom(RecordFormatter rf,
                   int fieldIndex,
                   StringBuffer sb,
                   Date d,
                   String format,
                   int n,
                   boolean hidden,
                   Dictionary<String,Object> formatParams)

### findNextFormatter

    int findNextFormatter(RecordFormatter rf,
                          int fieldIndex,
                          StringBuffer sb,
                          String format,
                          int n,
                          boolean hidden)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20